/* 
 Теоретичні питання
 1. Що таке логічний оператор?
 2. Які логічні оператори є в JavaScript і які їх символи?

 
 Практичні завдання.
 1. Попросіть користувача ввести свій вік за допомогою prompt. 
 Якщо вік менше 12 років, виведіть у вікні alert повідомлення про те, 
 що він є дитиною, якщо вік менше 18 років, виведіть повідомлення про те, 
 що він є підлітком, інакше виведіть повідомлення про те, що він є дорослим.

 Завдання з підвищенною складністю.
 Перевірте чи ввів користувач саме число в поле prompt. Якщо ні, то виведіть повідомлення, що введено не число.

 2. Напишіть програму, яка запитує у користувача місяць року (українською мовою маленкими літерами) та виводить повідомлення, 
 скільки днів у цьому місяці. Результат виводиться в консоль.
 Скільки днів в кожному місяці можна знайти тут в розділі Юліанський і Григоріанський календарі - https://uk.wikipedia.org/wiki/%D0%9C%D1%96%D1%81%D1%8F%D1%86%D1%8C_(%D1%87%D0%B0%D1%81)
 (Використайте switch case)
 */

 /* 
 
 Теория

 1) Логический оператор используется для выполнения логических операций с переменными в условиях
 2) || , &&, !==, !, !=,
 
 */

// практика

// 1 

const userAge = prompt('enter your age', '');

if(isNaN(userAge)) {
    alert('Введено не число');
}else if(userAge < 12) {
    alert('Вы еще ребенок');
}else if(userAge < 18){
    alert('Вы еще подросток');
}else{
    alert('Вы уже взрослый')
}


// 2 

const mount = prompt('Введите месяц маленькими буквами на украинском языке', '');

switch(mount) {
    case 'січень':
        console.log('січень: 31 день');
        break;
    case 'лютий':
        console.log('лютий: 28 дней');
        break;
    case 'березень':
        console.log('березень: 31 день');
        break;
    case 'квітень':
        console.log('квітень: 30 дней');
        break;
    case 'травень':
        console.log('травень: 31 день');
        break;
    case 'червень':
        console.log('червень: 30 дней');
        break;
    case 'липень':
        console.log('липень: 31 день');
        break;
    case 'серпень':
        console.log('серпень: 31 день');
        break;
    case 'вересень':
        console.log('вересень: 30 дней');
        break;
    case 'жовтень':
        console.log('жовтень: 31 день');
        break;
    case 'листопад':
        console.log('листопад: 30 дней');
        break;
    case 'грудень':
        console.log('грудень: 31 день');
        break;
    
}